<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- application.qdoc -->
  <title>Application QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="qml-qbsconvenienceitems-appleapplicationdiskimage.html" />
  <link rel="next" href="qml-qbsconvenienceitems-applicationextension.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="qml-qbsconvenienceitems-appleapplicationdiskimage.html">AppleApplicationDiskImage</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbsconvenienceitems-applicationextension.html">ApplicationExtension</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Application QML Type</h1>
<span class="subtitle"></span>
<!-- $$$Application-brief -->
<p>Product of the type application. <a href="#details">More...</a></p>
<!-- @@@Application -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsConvenienceItems .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Inherits:</td><td class="memItemRight bottomAlign"> <p><a href="qml-qbslanguageitems-product.html">Product</a></p>
</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Inherited By:</td><td class="memItemRight bottomAlign"> <p><a href="qml-qbsconvenienceitems-xpcservice.html">XPCService</a></p>
</td></tr></table></div><ul>
<li><a href="qml-qbsconvenienceitems-application-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsconvenienceitems-application.html#install-prop">install</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsconvenienceitems-application.html#installDir-prop">installDir</a></b></b> : string</li>
</ul>
<!-- $$$Application-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>An Application item is a <a href="qml-qbslanguageitems-product.html">Product</a> representing an application.</p>
<p>The target artifact of this type of product is usually an executable binary tagged <code>&quot;application&quot;</code>. However, on Android, unless you set <a href="qml-qbslanguageitems-product.html#consoleApplication-prop">consoleApplication</a> to <code>true</code>, the application target will be an APK package tagged <code>&quot;android.apk&quot;</code>, and a dependency to the <a href="qml-qbsmodules-android-sdk.html">Android.sdk</a> module is automatically added to the product.</p>
<!-- @@@Application -->
<h2>Property Documentation</h2>
<!-- $$$install -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="install-prop">
<td class="tblQmlPropNode"><p>
<span class="name">install</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>If <code>true</code>, the executable that is produced when building the application will be installed to <a href="qml-qbsconvenienceitems-application.html#installDir-prop">installDir</a>.</p>
<p>Default: <code>false</code></p>
<p>This property was introduced in Qbs 1.13.</p>
</div></div><!-- @@@install -->
<br/>
<!-- $$$installDir -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="installDir-prop">
<td class="tblQmlPropNode"><p>
<span class="name">installDir</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Where to install the executable that is produced when building the application, if <a href="cli-install.html">install</a> is enabled.</p>
<p>The value is appended to <a href="qml-qbsmodules-qbs.html#installPrefix-prop">qbs.installPrefix</a> when constructing the actual installation directory.</p>
<p>Default: <code>Applications</code> if the app is a <a href="qml-qbsmodules-bundle.html#isBundle-prop">bundle</a>, <code>bin</code> otherwise.</p>
<p>This property was introduced in Qbs 1.13.</p>
</div></div><!-- @@@installDir -->
<br/>
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="qml-qbsconvenienceitems-appleapplicationdiskimage.html">AppleApplicationDiskImage</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbsconvenienceitems-applicationextension.html">ApplicationExtension</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
